View Issue Details

IDProjectCategoryView StatusLast Update
0005261Multi Theft Auto : San AndreasLinuxpublic2011-01-05 23:19
ReporterciaranAssigned Toimpulze 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSCentOSOS Version5
Product Version 
Target Version1.1Fixed in Version1.1 
Summary0005261: (64 bit) Compile time error relating to TinyXML
Description

/usr/bin/ld: /usr/local/gcp/installs/temp/mta/mta_linux-1.0.3/compile/multitheftauto-multitheftauto-595833b/vendor/tinyxml/libtinyxml.a(libtinyxml_a-tinyxml.o): relocation R_X86_64_32S against vtable for TiXmlNode' can not be used when making a shared object; recompile with -fPIC /usr/local/gcp/installs/temp/mta/mta_linux-1.0.3/compile/multitheftauto-multitheftauto-595833b/vendor/tinyxml/libtinyxml.a: could not read symbols: Bad value collect2: ld returned 1 exit status make[4]: *** [xmll.la] Error 1 make[4]: Leaving directory/usr/local/gcp/installs/temp/mta/mta_linux-1.0.3/compile/multitheftauto-multitheftauto-595833b/Shared/XML'
make[3]: [all] Error 2
make[3]: Leaving directory `/usr/local/gcp/installs/temp/mta/mta_linux-1.0.3/compile/multitheftauto-multitheftauto-595833b/Shared/XML'
make[2]:
[all-recursive] Error 1
make[2]: Leaving directory /usr/local/gcp/installs/temp/mta/mta_linux-1.0.3/compile/multitheftauto-multitheftauto-595833b/Shared' make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory/usr/local/gcp/installs/temp/mta/mta_linux-1.0.3/compile/multitheftauto-multitheftauto-595833b'
make: *** [all] Error 2

Steps To Reproduce

make install

TagsNo tags attached.

Relationships

related to 0005047 closed New issues Fail to compile the MTA serverfiles on a 64bit machine 

Activities

ciaran

2010-03-27 00:03

viewer   ~~0011266

Solved the problem by adding the -fPIC to the c and cpp flags in the tinyxml Makefile

ciaran

2010-03-27 00:07

viewer   ~~0011267

This caused a new error when compiling on a 64bit machine fixed by changing

MTA10_Server/mods/deathmatch/logic/lua/CLuaFunctionDefinitions.cpp:35

from:

    char * index = itoa ( (int)lua_topointer ( L, i ), buf, 16 );

to:

    char * index = itoa ( (intptr_t)lua_topointer ( L, i ), buf, 16 );

ciaran

2010-03-27 00:09

viewer   ~~0011268

The -fPIC was also needed for cflags and cppflags in MTA10_Server/sdk/Makefile

ciaran

2010-03-27 00:10

viewer   ~~0011269

Sorry, should also mention that I am compiling on 64bit, so -m32 was added in the main Makefile to both c and cpp flags

x86

2010-04-01 14:58

administrator   ~~0011305

Last edited: 2010-04-01 14:59

Please edit your comments instead creating new one.

impulze

2011-01-03 21:34

developer   ~~0012436

could you try with latest trunk and using LDFLAGS="-m32" CFLAGS="-m32" CXXFLAGS="-m32"?
i can't seem to reproduce your problem, builds fine here out and in source.

impulze

2011-01-05 23:19

developer   ~~0012468

should be fixed with trunk@r2262

Issue History

Date Modified Username Field Change